#!/bin/sh

test -e /sbin/automount || exit 0

case "$1" in
  start)
	echo -n 'Start '
	if [ ! -f /tmp/automount.pid ] ; then
		/sbin/automount -v -g -p /tmp/automount.pid -t 120 /automount file /var/etc/automount.conf
	fi
	echo "done."
	;;
  stop)
	echo -n 'Stop '
	if [ -f /tmp/automount.pid ] ; then
		kill -USR2 `cat /tmp/automount.pid` 2> /dev/null
	fi
	echo "done."
	;;
  restart)
	$0 stop
	$0 start
	;;
   *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
	;;
esac

exit 0
